corda / net.corda.core.node.services / TxWritableStorageService

# TxWritableStorageService

`interface TxWritableStorageService : StorageService`

Storage service, with extensions to allow validated transactions to be added to. For use only within ServiceHub.

### Properties

validatedTransactions | `abstract val validatedTransactions: TransactionStorage` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures aren't technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.

### Inherited Properties

stateMachineRecordedTransactionMapping | `abstract val stateMachineRecordedTransactionMapping: StateMachineRecordedTransactionMappingStorage`
uploaders | `abstract val uploaders: List<FileUploader>`

### Inheritors

StorageServiceImpl | `open class StorageServiceImpl : SingletonSerializeAsToken, TxWritableStorageService`